[BioC] Bioconductor installation problem

Seth Falcon sfalcon at fhcrc.org
Thu Feb 9 17:38:05 CET 2006

Hi Caimiao,

On  7 Feb 2006, caiwei at mdanderson.org wrote:
> I am trying to install some of the Bioconductor packages using the
> following code lines and get the warnings:
> source("http://www.bioconductor.org/biocLite.R")
> biocLite()
> Running bioCLite version 0.1  with R version  2.2.1
> Warning message: 'CRAN.packages' is deprecated.  Use
> 'available.packages' instead.  See help("Deprecated") 

This warning you can ignore.  I thought it was fixed, but it seems
not.  It will be soon.

> Warning: unable to access index for repository
> http://www.bioconductor.org/packages/bioc/devel/bin/windows/contrib/2.2

This one has me a bit puzzled.  The URL doesn't look right and I don't
know where it would have come from.  Do you have a custom setting for
the repos global option (getOption("repos"))?

> Running biocinstall version 1.1  with R version  2.2.1
> package 'geneplotter' successfully unpacked and MD5 sums checked
> Warning: unable to move temporary installation 'C:\Program
> Files\R\R-2.2.1\library\file767d7a5a\geneplotter' to 'C:
> \PROGRA~1\R\R-22~1.1\library\geneplotter'

> I am running Windows XP and R 2. 2.1.
> How can I fix the problem?

Just to clarify, are you sure that the packages actually failed to
install?  Have you tried:


I've seen the message about unable to move temp install, but can't
recall how to resolve it.  You might try searching the archives of
this list.

Does this look familiar to any Windows users out there?


+ seth

More information about the Bioconductor mailing list